@import url('https://fonts.googleapis.com/css2?family=Lato:wght@400;700;900&family=Raleway:ital@0;1&display=swap');
:root {
    --heading: rgb(88, 7, 7);
  }


  .customFileInput::-webkit-file-upload-button {
    visibility: hidden;
  }



  .box{
    padding: 10px;
    background-color: rgb(252, 247, 247);
    box-shadow: 0 0 1px 0 black inset;
  }
* {
    margin: 0;
    padding: 0;

  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.fontsmall label {
    font-size: 12px;
}
.ck-editor__editable_inline {
    min-height: 200px;
}
/* input:invalid{
    border: 2px solid red !important;
} */

body {
    font-family: 'Lato', sans-serif;
}

select {
    min-width: 100px;
}
.ck.ck-editor__editable > .ck-placeholder::before {
    color: #d21714;
    font-family: Georgia;
}
.img-small{
    width: 100px;
    height: 100px;
}
.tab {
    margin-bottom: 20px;
    overflow-x: auto;
    display: flex;
    flex-wrap: nowrap;
    position: relative;
    top: 10px;

}

.tab button {
    background-color: white;
   border-radius: 10px 10px 0 0;
    border: 1px solid rgb(221, 221, 221);
    border-bottom: none;
    outline: none;
    cursor: pointer;
    padding: 5px 16px;
    transition: 0.3s;
    font-size: 17px;
    width: fit-content;
    font-size: 10px;
    font-weight: 900;
    color: #d21714;
  }

  /* Change background color of buttons on hover */
  .tab button:hover {
    background-color: #ddd;
  }

  /* Create an active/current tablink class */
  .tab button.active {
    background-color: #ccc;
  }

  /* Style the tab content */
  .tabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
    border-top: none;
  }


.login-content{
    /* background-image: url("/imgs/login.webp"); */
    background-size: cover;
    background-position: left;
    padding: 0;
}

tr, td {
    word-wrap: break-word;
}

.button-pill {
    background: transparent;
    color: #ff9902;
    text-decoration: none;
    padding: 7px 26px;
    border-radius: 7px;
    font-size: 14px;
    font-weight: 900;
    border: 1px solid #ff9902;
    letter-spacing: 0.7px;
    margin-right: 10px;
    transition: 0.5s;
}

.button-pill:hover {
    background: #ff9902;
    color: white;
}
.button-pill-1 {
    background: #ff9902;
    color: white;
    text-decoration: none;
    padding: 7px 26px;
    border-radius: 7px;
    font-size: 14px;
    font-weight: 900;
    border: 1px solid #ff9902;
    letter-spacing: 0.7px;
    margin-right: 10px;
    transition: 0.5s;
}
.button-pill-1:hover {
    background: transparent;
    color: #ff9902;
}

.home-div {
    width: 100%;
    background-image: url("/imgs/home-background.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    box-shadow: 2000px 2000px #f3f0e6f5 inset;
    padding-bottom: 100px;
}

.matrimony-logo-image {
    width: 150px;
    height: 47px;
    object-fit: contain;
}

@media only screen and (max-width: 767px) {
    .matrimony-logo-image {
        width: 130px !important;
        height: 41px !important;
    }

}

.home-banner {
    width: 100%;
    height: auto;
    margin-bottom: 20px;
}

.home-banner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.clear {
    clear: both;
}

.form-desk-div {
    margin-top: 35px;
    position: relative;
    box-shadow: 0 0 7.5px 2.5px rgb(153 153 153 / 15%);
    /* float: left; */
    border-radius: 10px;
    background-color: white;
    width: calc(70% + 12vmin);
    width: fit-content;
}

.form-desk-div label {
    width: 100% !important;
    padding-left: 12px !important;
}

.form-desk-div label:first-child {
    padding-left: 0;
}

.form-desk-div *:not(.input) {
    font-size: 14px;
}

.form-desk-div .input {
    font-size: 15px !important;
}

.form-desk-div .input {
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
}

.form-desk-item {
    float: left;
}

.form-desk-button {
    width: 180px;
    font-size: 16px;
    height: 90px;
    font-family: Lato;
    font-weight: 700;
    padding: 23px 0 24px 2px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    letter-spacing: 1px;
    background-image: linear-gradient(#f58320, #ff9902);
}

.form-desk-div input {
    background: transparent;
    border: none;
}

.form-desk-div .dropdown-toggle {
    background: transparent;
    border: none;
}

.select-profile-type * {
    transition: .3s;
}

.select-profile-type .col:hover {
    color: rgb(255, 166, 0);
}

.reg-form-wrapper {
    padding: 20px;
}

@media only screen and (min-width: 992px) {
    .reg-form-wrapper {
        margin: auto;
        width: 85%;
        background-color: azure;
        box-shadow: 0 0 10px grey;
    }
}

.reg-heading {
    display: flex;
    align-items: center;
    column-gap: 10px;
}

.reg-heading::before,
.reg-heading::after {
    border-bottom: 1px solid black;
    flex-grow: 1;
    height: 1px;
    content: "";

}

.reg-banner {
    position: relative;
}

.banner-img {
    position: relative;
    background-image: url("/imgs/perfect_match.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.banner-text{
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translate(-50%, 0);
    background-color: rgba(0, 0, 0, 0.493);
    color: white;
    width: 95%;
    border-radius: 10px;
}

.registration-form-container {
    width: 100%;
    height: 80vh;
    padding: 0 !important;
}

.reg-form-item input {
    border: none;
    border-bottom: 1px solid black;
    background: transparent;
}

.reg-form-item input:focus {
    outline: none;
}

.reg-form-item {
    margin-bottom: 15px;
}

.reg-form-item .form-check-input {
    border: 1px solid black;
}

.reg-form-item>.col-7 {
    padding: 0;
    position: relative;
}

.reg-form-item select {
    border: none;
    border-bottom: 1px solid black;
    background: transparent;
}

.arrow::after {
    position: absolute;
    right: 0;
    top: 0;
    z-index: 100;
    width: 20px;
    height: 20px;
    content: '\25BC';
    color: blue;
    line-height: 2;
  }
  .arrow:focus::after {
    content: '\25B2';
  }
.reg-form-item select:focus {
    outline: none;
    box-shadow: none;
    border-bottom: 1px solid black;
}
.custom-textarea {
    border: 1px solid rgb(158, 218, 241);
}
.custom-textarea:focus {
   outline: 2px solid rgb(2, 175, 243) !important;
}
.required {
    position: relative;
}
.required:after {
    position: absolute;
    top: -15px;
    content:" *";
    font-size: 40px;
    color: red;
  }
  .image-div {
border: 5px dotted black;
width: 100%;
height: 50%;
  }

  .msg {
    position: fixed;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    padding-top: 10vh;
    z-index: 1000;
  }
  .msg>div{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 0 10px 0 black;
    width: clamp(200px, 100%, 500px);
    height: 40%;
  }
